# check if the item is broken
$scoreboard players set @s copper_tools.max_damage $(max_damage)
$execute store result score @s copper_tools.damage run data get entity @s Inventory[{Slot:$(slot_index)b}].components."minecraft:damage" 1
execute if score @s copper_tools.damage >= @s copper_tools.max_damage run return fail

# get the score as a quarter of the full score (0-3)
$execute store result score @s copper_tools.damage run data get entity @s Inventory[{Slot:$(slot_index)b}].components."minecraft:damage" 4
scoreboard players operation @s copper_tools.damage /= @s copper_tools.max_damage

# set the amount to damage the armor based on the current damage level
scoreboard players set @s copper_tools.temp 1
execute if score @s copper_tools.damage matches 3 run scoreboard players set @s copper_tools.temp 1
execute if score @s copper_tools.damage matches 2 run scoreboard players set @s copper_tools.temp 2
execute if score @s copper_tools.damage matches 1 run scoreboard players set @s copper_tools.temp 3
execute if score @s copper_tools.damage matches 0 run scoreboard players set @s copper_tools.temp 4

# apply damage
$execute store result score @s copper_tools.damage run data get entity @s Inventory[{Slot:$(slot_index)b}].components."minecraft:damage"
scoreboard players operation @s copper_tools.damage += @s copper_tools.temp

execute store result storage copper_tools:damage damage_n1 int 1 run scoreboard players get @s copper_tools.damage

# get the new equipment model index
$execute store result score @s copper_tools.equipment_model_index run data get entity @s Inventory[{Slot:$(slot_index)b}].components."minecraft:damage" 4
scoreboard players operation @s copper_tools.equipment_model_index /= @s copper_tools.max_damage

$data modify storage copper_tools:damage slot set value $(slot)

function copper_tools:equipment/update_stats with storage copper_tools:damage